local colliding = false

function love.load()
	x1 = 0
	y1 = 0
	h1 = 100
	w1 = 200
	
	x2 = 200
	y2 = 300
	w2 = 300
	h2 = 200
end

function love.update(dt)
	x1,y1 = love.mouse.getPosition()
	x1 = x1-w1/2
	y1 = y1-h1/2
	colliding = overlap(x1,y1,w1,h1,x2,y2,w2,h2)
end

function love.draw()
	if colliding then
		love.graphics.setColor(255,0,0,255)
	else
		love.graphics.setColor(0,255,0,255)
	end
	love.graphics.rectangle('line', x1,y1,w1,h1)
	love.graphics.rectangle('line', x2,y2,w2,h2)
end

function overlap(x1,y1,w1,h1,x2,y2,w2,h2)
	if x1+w1 < x2 
	or x2+w2 < x1 
	or y1+h1 < y2
	or y2+h2 < y1 then 
		return false 
	end
	return true
end